package cn.com.poc.support.login.channel.bl;


import cn.com.poc.support.login.ThirdPlatformAuthService;
import cn.com.poc.support.login.domain.AuthInfo;
import cn.com.poc.support.login.domain.CodeAuth;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

/**
 * 授权
 *
 * @author Focan.Zhong
 */
@Service
public class IBTAuthService implements ThirdPlatformAuthService {

    private Logger logger = LoggerFactory.getLogger(this.getClass());


    /**
     * 后台授权
     *
     * @param codeAuth
     * @return
     * @throws Exception
     */
    @Override
    public AuthInfo doAuth(CodeAuth codeAuth) throws Exception {

        AuthInfo result = new AuthInfo();

        return result;
    }
}
